'use strict';

module.exports = app => {
    const router = app.router.namespace(app.config.projectRootPath + '/house/export');

    // router.get('add', '/house_image', 'house.export20190425.exportHouseImages');//用户浏览记录列表
    // router.get('add', '/residential', 'house.export20190425.exportResidential');//用户浏览记录列表


    // router.get('/new_house', 'house.export20190425.moveNewHouse');
    // router.get('/new_house_type', 'house.export20190425.moveNewHouseType');


    //sqlserver迁移数据
    router.get('third', '/new_house_related', 'house.v2.export190619.moveNewHouse');
    router.get('third', '/collection', 'house.v2.export190619.moveCollection');
    router.get('third', '/order', 'house.v2.export190619.moveOrder');
    router.get('third', '/history', 'house.v2.export190619.moveHistory');
    router.get('third', '/foot', 'house.v2.export190619.moveFoot');
    router.get('third', '/rental_house_related', 'house.v2.export190619.moveRentalHouse');
    router.get('third', '/developer', 'house.v2.export190619.moveDeveloper');
    router.get('third', '/house_image', 'house.v2.export190619.moveHouseImage');


    //用户新房数据的整理
    router.get('third', '/update_new_house_total', 'house.v2.export190619.updateNewHouseTotalPrice');


};
